Skip to main content
GET
/
v1
/
corporate-actions
/
tender-offers
Get Tender Offers
curl --request GET \
  --url https://api.aries.com/v1/corporate-actions/tender-offers \
  --header 'Authorization: Bearer <token>'
{
  "error": {
    "code": "INTERNAL_ERROR",
    "message": "failed to get tender offers",
    "type": "INTERNAL"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

identifier
string

Company identifier (ticker symbol, CUSIP, or ISIN)

identifierType
string

Type of identifier provided (ticker, cusip, or isin)

startDate
string

Start date for filtering tender offers in YYYY-MM-DD format

endDate
string

End date for filtering tender offers in YYYY-MM-DD format

Response

200 - application/json

Successful response

error
object